Subject: Re: [PATCH v2] userdiff: better method/property matching for C#

From: Junio C Hamano <[email-masked]>
Date: Tue, 26 Mar 2024 14:38:41 -0700

"Steven Jeuris via GitGitGadget" <[email-masked]> writes:

> From: Steven Jeuris <[email-masked]>
>
> - Support multi-line methods by not requiring closing parenthesis.
> - Support multiple generics (comma was missing before).
> - Add missing `foreach`, `lock` and  `fixed` keywords to skip over.
> - Remove `instanceof` keyword, which isn't C#.
> - Also detect non-method keywords not positioned at the start of a line.
> - Added tests; none existed before.
>
> The overall strategy is to focus more on what isn't expected for
> method/property definitions, instead of what is, but is fully optional.
>
> Signed-off-by: Steven Jeuris <[email-masked]>
> ---
>     userdiff: better method/property matching for C#
>     
>     Change since v1: I removed "from" from the list of keywords to skip.
>     First, I considered adding "await", but I discovered both "await" and
>     "from" are "contextual keywords", which unlike the other keywords
>     currently listed, aren't reserved, and can thus cause false negatives.
>     I.e., it is valid to have a method named "await" or "from". In edge
>     cases, this may lead to false positives, but a different exclusion rule
>     will need to be added to handle these.

It seems that this has seen no reviews.  I somehow find it doubtful
that Ævar or Peff would be writing too much C# to be familiar with
the language to judge the quality of the patch, but can somebody
with C# background (I hear that its most common use is for
developing Windows applications etc. there) chip in?

Thanks.